Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class SearchCriteria

    java.lang.Object
      com.luntsys.luntbuild.remoting.SearchCriteria

public class SearchCriteria
extends java.lang.Object

This class is used to stands for a search criteria when searching for builds

Author:
  robin shine

Constructor Summary
`SearchCriteria()`

Method Summary
`long` | `getBuildScheduleId()` Get build schedule id inside which to search builds
`java.util.Date` | `getFrom()` Get start date to search builds on
`int` | `getStatus()` Get build status to search
`java.util.Date` | `getTo()` Get end date to search builds on
`java.lang.String` | `getVersion()` Get version to search
`boolean` | `isExactMatch()` Get whether or not perform exact match on version when searches build
`void` | `setBuildScheduleId(long buildScheduleId)` Set build schedule id inside which to search builds
`void` | `setExactMatch(boolean exactMatch)` Set whether or not perform exact match on version when searches build
`void` | `setFrom(java.util.Date from)` Set start date to search builds on
`void` | `setStatus(int status)` Set build status to search
`void` | `setTo(java.util.Date to)` Set end date to search builds on
`void` | `setVersion(java.lang.String version)` Set version to search

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchCriteria

    public SearchCriteria()

Method Detail

### getVersion

    public java.lang.String getVersion()

  Get version to search

  Returns:
    version to search

### isExactMatch

    public boolean isExactMatch()

  Get whether or not perform exact match on version when searches build

  Returns:
    boolean value

### setExactMatch

    public void setExactMatch(boolean exactMatch)

  Set whether or not perform exact match on version when searches build

  Parameters:
    `exactMatch` -

### setVersion

    public void setVersion(java.lang.String version)

  Set version to search

  Parameters:
    `version` -

### getFrom

    public java.util.Date getFrom()

  Get start date to search builds on

  Returns:
    start date to search builds on

### setFrom

    public void setFrom(java.util.Date from)

  Set start date to search builds on

  Parameters:
    `from` -

### getTo

    public java.util.Date getTo()

  Get end date to search builds on

  Returns:
    end date to search builds on

### setTo

    public void setTo(java.util.Date to)

  Set end date to search builds on

  Parameters:
    `to` -

### getBuildScheduleId

    public long getBuildScheduleId()

  Get build schedule id inside which to search builds

  Returns:
    build schedule id inside which to search builds

### setBuildScheduleId

    public void setBuildScheduleId(long buildScheduleId)

  Set build schedule id inside which to search builds

  Parameters:
    `buildScheduleId` -

### getStatus

    public int getStatus()

  Get build status to search

  Returns:
    one value of `BuildFacade.SUCCESS`, `BuildFacade.FAILED`, `BuildFacade.RUNNING`, `BuildFacade.UNKNOWN`

### setStatus

    public void setStatus(int status)

  Set build status to search

  Parameters:
    `status` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.